Update scene metadata
Update specific metadata fields of an existing scene.
You can update:
- Scene name
- Pinned status
- Collection assignment
- Any combination of the above fields
This endpoint uses partial updates - only provide the fields you want to change. Omitted fields will remain unchanged.
Moving a scene to a different collection may affect sharing permissions and access rights depending on collection settings.
Use cases:
- Renaming scenes
- Organizing scenes by pinning/unpinning
- Moving scenes between collections
- Bulk metadata updates
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Path Parameters
sceneId*string
Request Body
application/json
name?string
Length
1 <= lengthpinned?boolean
collectionId?|
[key: string]?never
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.excalidraw.com/api/v1/scenes/string" \ -H "Content-Type: application/json" \ -d '{}'{
"metadata": {
"workspace": "string",
"name": "string",
"created": "string",
"updated": "string",
"previewUrl": "string",
"previewFilename": "string",
"previewBackground": "string",
"isDeleted": true,
"creator": "string",
"updater": "string",
"sceneVersion": "string",
"lastAcknowledgedVersion": -9007199254740991,
"linkSharing": 0,
"collection": "string",
"updateCount": 0,
"revisionCount": 0,
"lastRevision": "string",
"totalElements": 0,
"deletedElements": 0,
"pinned": true,
"hasNonDeletedFrames": true,
"isWelcomeScene": true,
"id": "string"
},
"readOnlyLinks": [
{
"id": "string",
"scene": "string",
"workspace": "string",
"created": "string",
"updated": "string",
"updatedBy": "string",
"creator": "string",
"preview": "string",
"previewPath": "string",
"type": "readonly",
"status": "active",
"name": "string",
"data": {
"showTitle": true,
"showMenu": true,
"darkMode": true,
"disableInteraction": true,
"showDarkModeToggle": true,
"showFrameOutlines": true,
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
}
],
"sharedSlidesLinks": [
{
"id": "string",
"scene": "string",
"workspace": "string",
"created": "string",
"updated": "string",
"updatedBy": "string",
"creator": "string",
"preview": "string",
"previewPath": "string",
"isActive": true,
"type": "slides",
"data": {
"name": "string",
"showSlideTitle": true,
"animateSlides": true,
"disallowDownload": true,
"autoPlaySlides": 100
}
}
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "string"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}{
"statusCode": 404,
"error": "Not Found",
"message": "string"
}